Bug 1563445 - gsd-housekeeping lacks permission look in /tmp and complains too much
Summary: gsd-housekeeping lacks permission look in /tmp and complains too much
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 01:24 UTC by Chris Murphy
Modified: 2019-05-28 23:34 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:34:07 UTC


Attachments (Terms of Use)
journal log (565.62 KB, text/x-vhdl)
2018-04-04 01:25 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2018-04-04 01:24:17 UTC
Description of problem:

Numerous instances in the journal:
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-fwupd.service-eg4pQN: Error opening directory '/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-fwupd.service-eg4pQN': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-colord.service-EbfJsw: Error opening directory '/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-colord.service-EbfJsw': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-chronyd.service-SOcL2Y: Error opening directory '/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-chronyd.service-SOcL2Y': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-fwupd.service-3vOgwh: Error opening directory '/var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-fwupd.service-3vOgwh': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-colord.service-3liCez: Error opening directory '/var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-colord.service-3liCez': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-chronyd.service-bXfqfN: Error opening directory '/var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-chronyd.service-bXfqfN': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-rtkit-daemon.service-d4LbGy: Error opening directory '/var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-rtkit-daemon.service-d4LbGy': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-bluetooth.service-DGB6Pa: Error opening directory '/var/tmp/systemd-private-20e0a1d1872d464085b69fca46e1f198-bluetooth.service-DGB6Pa': Permission denied
Apr 03 16:57:35 f28h.local gsd-housekeepin[1869]: Failed to enumerate children of /var/tmp/dnf-abrt-9tsoz1da: Error opening directory '/var/tmp/dnf-abrt-9tsoz1da': Permission denied






Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.28.0-1.fc28.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Boot
2.
3.

Actual results:

Lots of noise that seems pointless and uninformative.


Expected results:

No noise, or provide a useful error message.


Additional info:

Near as I can tell gsd-housekeeping shouldn't even be looking in these areas, and doesn't have permission to clean them up either because systemd already does this.

http://systemd-devel.freedesktop.narkive.com/t7B2okiX/systemd-gnome-permission-problems#post4
https://bugs.launchpad.net/bugs/1745666

Propose disabling gsd-housekeeping entirely if upstream can't justify this behavior.

Comment 1 Chris Murphy 2018-04-04 01:25:16 UTC
Created attachment 1416994 [details]
journal log

Comment 2 Chris Murphy 2018-04-04 01:31:06 UTC
Upstream bug report
https://gitlab.gnome.org/GNOME/gnome-settings-daemon/issues/26

Comment 3 Steve 2018-07-01 12:36:33 UTC
I can confirm this bug in gnome-settings-daemon-3.28.1-1.fc28.x86_64.

Comment 4 Steve 2018-11-21 16:00:50 UTC
Bug persists in Fedora 29. Please change version to 29 since i can't do that.

gnome-settings-daemon-3.30.1.2-2.fc29.x86_64

Comment 5 Steve 2019-01-13 06:03:32 UTC
Bug persists in gnome-settings-daemon-3.30.2-1.fc29.x86_64:

Jan 13 06:59:35 7 gsd-housekeepin[2301]: Failed to enumerate children of /tmp/systemd-private-b4f70ffd7f1c49f2be843a945c95ab0f-fwupd.service-96gEsd: Error opening directory '/tmp/systemd-private-b4f70ffd7f1c49f2be843a945c95ab0f-fwupd.service-96gEsd': Permission denied

And Chris, please change version to 29 since i can't do that.

Comment 6 Ben Cotton 2019-05-02 20:03:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 23:34:07 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.